/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * The interface to the image library
 */
#ifndef	IMGCALC_H
#define	IMGCALC_H 1

typedef struct {
	int red;
	int green;
	int blue;
} color_t;

extern void image_scaledsize(int head_w, int head_h, int *img_w, int *img_h, int *crop_w, int *crop_h, int maxscale_percent, int minborder, int crop);
extern void nice_color(char *color, const color_t c1, const color_t c2);

#endif
