/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * The X11-specific interface to the image library
 */
#ifndef	IMGLIBD_H
#define	IMGLIBD_H 1

#include <X11/Xlib.h>
#include "imglib.h"

extern int imglib_displaysetup(imglib_t *imglib, Display *dsp, Window targetwin);
extern Pixmap *imglib_render(imglib_t *imglib, int w, int h);

#endif
