/*
 * Copyright (C) 2004, 2005, 2007 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

struct command_s;
typedef struct command_s command_t;

extern int command_execute(command_t *command, char const *color, const char *image, int w, int h);
extern int command_valid(command_t *command);
extern char *command_errorstr(command_t *command);
extern command_t *command_init(char *cmdtmpl);
extern void command_destroy(command_t *command);
